mount -o remount,rw -t yaffs2 /dev/block/mtdblk3 /system

for i in /system/app/*.apk

do

   odex=`echo $i | sed -e 's/.apk/.odex/g'`

   i_time=`stat -t $i | cut -d' ' -f14`
   o_time=0

   if [ -f $odex ] ; then 
      o_time=`stat -t $odex | cut -d' ' -f14`
   fi

   if [ $i_time -gt $o_time ] ; then
      if [ -f $odex ] ; then
         rm $odex
      fi
      echo "dexopt-wrapper $i $odex"
      dexopt-wrapper $i $odex
   fi

done

for i in /system/app/*.odex

do

   apk=`echo $i | sed -e 's/.odex/.apk/g'`

   if [ ! -f $apk ] ; then
      rm $i
   fi

done

echo "----------- System Apps DONE -----------"

for i in /data/app/*.apk

do

   odex=`echo $i | sed -e 's/.apk/.odex/g'`

   i_time=`stat -t $i | cut -d' ' -f14`
   o_time=0

   if [ -f $odex ] ; then 
      o_time=`stat -t $odex | cut -d' ' -f14`
   fi

   if [ $i_time -gt $o_time ] ; then
      rm $odex
      echo "dexopt-wrapper $i $odex"
      dexopt-wrapper $i $odex
   fi

done

for i in /data/app/*.odex

do

   apk=`echo $i | sed -e 's/.odex/.apk/g'`

   if [ ! -f $apk ] ; then
      rm $i
   fi

done

echo "----------- Market Apps DONE -----------"
